@keyframes zoomUp {
	0% {
		transform: scale(1);
	}
	100% {
		transform: scale(1.15);
	}
}

.visual {
	position: relative;
}

.box-text {
	font-size: var(--wp--preset--font-size--small);
	font-weight: 300;
}

.box-title {
	color: var(--wp--preset--color--primary);
	font-size: var(--wp--preset--font-size--lead);
	&::before {
		content: "Title";
		display: block;
		font-family: var(--wp--preset--font-family--futura);
		font-size: var(--wp--preset--font-size--display-s);
		font-weight: 500;
		text-transform: uppercase;
	}
	+ .box-heading {
		margin-block-start: var(--wp--preset--spacing--60);
	}
}

.box-heading {
	font-size: var(--wp--preset--font-size--subtitle);
}

.frontpage-about {
	animation-timing-function: ease-out;
	background-color: var(--wp--preset--color--overlay-light);
	background-image: url(../images/frontpage_about_bg.jpg);
	background-position: 550px center;
	background-repeat: no-repeat;
	background-size: cover;
	transition: 3s;
	@media (768px > width) {
		background-position: 100px top;
		background-size: 150% auto;
		padding-top: 100px;
	}
	.content {
		margin-inline: auto;
		max-width: var(--wp--custom--container--lv-1);
		padding: var(--wp--preset--spacing--80) 0;
		width: 100%;
		.left {
			background-color: var(--wp--preset--color--white);
			border-left: 5px solid var(--wp--preset--color--accent-yellow);
			margin-inline-end: auto;
			padding: var(--wp--preset--spacing--60);
			width: 70%;
			@media (768px > width) {
				width: 100%;
			}
		}
		.box-title::before {
			content: "About";
		}
		.box-text + .box-button {
			margin-block-start: var(--wp--preset--spacing--60);
		}
		.box-heading + .box-text {
			margin-block-start: var(--wp--preset--spacing--40);
		}
		.box-title + .box-heading {
			margin-block-start: var(--wp--preset--spacing--60);
		}
	}
	&.is-active {
		background-position: 350px center;
		@media (1000px > width) {
			background-position: 0 center;
		}
		@media (768px > width) {
			background-position: 0 top;
		}
	}
}

.frontpage-works {
	background-image: url(../images/frontpage_works_bg.jpg);
	background-position: center;
	background-size: cover;
	.content {
		margin-inline: auto;
		max-width: var(--wp--custom--container--lv-2);
		padding: var(--wp--preset--spacing--80) 0;
		width: 100%;
		@media (768px > width) {
			width: calc(100% - var(--wp--custom--container--gutter));
		}
		.box-text {
			text-align: center;
			+ .box-button {
				margin-block-start: var(--wp--preset--spacing--80);
			}
		}
		.box-title {
			text-align: center;
			&::before {
				content: "Works";
			}
			+ .box-text {
				margin-block-start: var(--wp--preset--spacing--80);
			}
		}
		.box-button {
			display: flex;
			.button {
				margin: 0 auto;
			}
		}
	}
}

.frontpage-service {
	animation-timing-function: ease-out;
	background-color: var(--wp--preset--color--overlay-light);
	background-image: url(../images/frontpage_service_bg.jpg);
	background-position: calc(100% - 550px) center;
	background-repeat: no-repeat;
	background-size: cover;
	transition: 3s;
	@media (768px > width) {
		background-position: -100px top;
		background-size: 150% auto;
		padding-top: 100px;
	}
	.content {
		margin-inline: auto;
		max-width: var(--wp--custom--container--lv-1);
		padding: var(--wp--preset--spacing--80) 0;
		width: 100%;
		.right {
			background-color: var(--wp--preset--color--white);
			border-right: 5px solid var(--wp--preset--color--accent-yellow);
			margin-inline-start: auto;
			padding: var(--wp--preset--spacing--60);
			width: 70%;
			@media (768px > width) {
				width: 100%;
			}
		}
		.box-title::before {
			content: "Service";
		}
		.box-text + .box-button {
			margin-block-start: var(--wp--preset--spacing--60);
		}
		.box-heading + .box-text {
			margin-block-start: var(--wp--preset--spacing--40);
		}
		.box-title + .box-heading {
			margin-block-start: var(--wp--preset--spacing--60);
		}
	}
	&.is-active {
		background-position: calc(100% - 350px) center;
		@media (1000px > width) {
			background-position: 100% center;
		}
		@media (768px > width) {
			background-position: 100% top;
		}
	}
}

.frontpage-recruit {
	.content {
		display: flex;
		margin-inline: auto;
		width: 100%;
		@media (768px > width) {
			flex-direction: column;
		}
		.left {
			background-image: url(../images/frontpage_recruit_bg.jpg);
			background-position: top center;
			background-size: cover;
			padding: var(--wp--preset--spacing--60);
			width: 50%;
			@media (768px > width) {
				height: 200px;
				width: 100%;
			}
		}
		.right {
			background-color: var(--wp--preset--color--body-text);
			border-right: 5px solid var(--wp--preset--color--accent-yellow);
			padding: var(--wp--preset--spacing--60);
			width: 50%;
			@media (768px > width) {
				width: 100%;
			}
		}
		.box-title {
			color: var(--wp--preset--color--accent-yellow);
			&::before {
				color: var(--wp--preset--color--accent-yellow);
				content: "Recruit";
			}
			+ .box-heading {
				margin-block-start: var(--wp--preset--spacing--60);
			}
		}
		.box-button {
			display: flex;
		}
		.box-heading {
			color: var(--wp--preset--color--white);
			+ .box-button {
				margin-block-start: var(--wp--preset--spacing--60);
			}
		}
	}
}

.box-button .button {
	align-items: center;
	background-color: var(--wp--preset--color--gray-46);
	border-radius: var(--wp--preset--border-radius--x-small);
	color: var(--wp--preset--color--white);
	display: inline-flex;
	overflow: hidden;
	padding: var(--wp--preset--spacing--30) var(--wp--preset--spacing--60);
	position: relative;
	text-decoration: none;
	z-index: 0;

	ion-icon.pxlm-ion-icon--inline-end {
		margin-inline-start: var(--wp--preset--spacing--20);
	}

	&::before {
		background-color: var(--wp--preset--color--secondary);
		content: "";
		height: 100%;
		left: 0;
		position: absolute;
		top: 0;
		transition: var(--wp--custom--transition--default);
		width: 0;
		z-index: -1;
	}
	&:hover::before {
		width: 100%;
	}
}

.frontpage-information {
	background-color: var(--wp--preset--color--black);
	bottom: 0;
	left: 0;
	margin-inline: auto;
	max-width: var(--wp--custom--container--lv-2);
	position: absolute;
	right: 0;
	z-index: 10;
	@media (768px > width) {
		display: none;
	}
	.content {
		align-items: center;
		background-color: var(--wp--preset--color--body-text);
		display: flex;
		margin-inline: auto;
		padding: var(--wp--preset--spacing--40);
		width: 100%;
		h2 {
			color: var(--wp--preset--color--white);
			font-size: var(--wp--preset--font-size--large);
		}
		.list {
			list-style: none;
			li a {
				color: var(--wp--preset--color--white);
				display: flex;
				flex-wrap: wrap;
				font-weight: 400;
				text-decoration: none;
				transition: var(--wp--custom--transition--default);
				&:hover {
					opacity: .7;
				}
				.date {
					color: hsla(0,0%,100%,.7);
				}
				.title {
					margin-inline-start: var(--wp--preset--spacing--40);
					@media (768px > width) {
						flex-basis: 100%;
						margin-inline-start: 0;
						margin-block-start: var(--wp--preset--spacing--40);
					}
				}
				> .label {
					margin-inline-start: var(--wp--preset--spacing--40);
					.label {
						background-color: hsla(0,0%,100%,.3);
						color: var(--wp--preset--color--white);
						display: block;
						font-size: var(--wp--preset--font-size--x-small);
						padding: var(--wp--preset--spacing--10) var(--wp--preset--spacing--20);
						text-align: center;
						width: 100px;
					}
				}
			}
			li + li {
				border-top: 1px dashed var(--wp--preset--color--overlay-light);
				@media (768px > width) {
					border-top: 0;
					margin-block-start: var(--wp--preset--spacing--40);
				}
			}
			&.box-button {
				margin-inline-start: var(--wp--preset--spacing--40);
			}
		}
		.ticker {
			background-color: var(--wp--preset--color--body-text);
			border: 0;
			flex: 1;
			height: auto;
			margin-inline-start: var(--wp--preset--spacing--60);
			padding: 0;
		}
		.title-box {
			align-items: center;
			display: flex;
		}
		.ticker-button {
			margin-inline-start: var(--wp--preset--spacing--60);
			a {
				align-items: center;
				border-radius: var(--wp--preset--border-radius--rounded);
				color: var(--wp--preset--color--white);
				display: inline-flex;
				font-size: var(--wp--preset--font-size--medium);
				text-decoration: none;
				transition: var(--wp--custom--transition--default);
				&:hover {
					opacity: .7;
				}

				ion-icon.pxlm-ion-icon--inline-end {
					margin-inline-start: var(--wp--preset--spacing--20);
				}
			}
		}
	}
}

.frontpage-information-2 {
	background-color: var(--wp--preset--color--overlay-light);
	.left {
		width: 70%;
		@media (768px > width) {
			width: 100%;
		}
		> ul {
			margin: 0;
			padding-left: 0;
		}
	}
	.list {
		display: flex;
		flex-direction: column;
		list-style: none;
		a {
			display: flex;
			text-decoration: none;
			@media (768px > width) {
				flex-wrap: wrap;
			}
		}
		.title {
			margin-inline-start: var(--wp--preset--spacing--40);
			@media (768px > width) {
				margin-inline-start: 0;
				width: 100%;
			}
		}
		li + li {
			margin-block-start: var(--wp--preset--spacing--40);
		}
		+ .box-button {
			margin-block-start: var(--wp--preset--spacing--60);
		}
	}
	.right {
		margin-inline-start: var(--wp--preset--spacing--60);
		width: 30%;
		@media (768px > width) {
			margin-inline-start: 0;
			margin-block-start: var(--wp--preset--spacing--60);
			width: 100%;
		}
		ul {
			display: flex;
			flex-direction: column;
			justify-content: center;
			list-style: none;
			margin-inline: auto;
			li a {
				border: 1px solid var(--wp--preset--color--gray-88);
				display: block;
				transition: var(--wp--custom--transition--default);
				img {
					width: 100%;
				}
				&:hover {
					opacity: .7;
				}
			}
			li + li {
				margin-block-start: var(--wp--preset--spacing--40);
			}
		}
	}
	.content {
		display: flex;
		margin-inline: auto;
		max-width: var(--wp--custom--container--lv-1);
		padding: var(--wp--preset--spacing--80) 0;
		width: 100%;
		@media (768px > width) {
			flex-wrap: wrap;
			width: calc(100% - var(--wp--custom--container--gutter));
		}
	}
	.box-title {
		text-align: left;
		&::before {
			content: "News";
		}
		+ .list {
			margin-block-start: var(--wp--preset--spacing--60);
		}
	}
	.box-button {
		display: flex;
		justify-content: flex-start;
	}
}

.box-button .button-border {
	align-items: center;
	border: 1px solid var(--wp--preset--color--white);
	border-radius: var(--wp--preset--border-radius--x-small);
	color: var(--wp--preset--color--white);
	display: inline-flex;
	overflow: hidden;
	padding: var(--wp--preset--spacing--30) var(--wp--preset--spacing--60);
	position: relative;
	text-decoration: none;
	z-index: 0;

	ion-icon.pxlm-ion-icon--inline-end {
		margin-inline-start: var(--wp--preset--spacing--20);
	}

	&::before {
		background-color: var(--wp--preset--color--secondary);
		content: "";
		height: 100%;
		left: 0;
		position: absolute;
		top: 0;
		transition: var(--wp--custom--transition--default);
		width: 0;
		z-index: -1;
	}
	&:hover::before {
		width: 100%;
	}
}

.swiper.swiper-visual {
	height: 600px;
	width: 100%;
	border-block-end: 5px solid var(--wp--preset--color--primary);
	@media (768px > width) {
		font-size: var(--wp--preset--font-size--display-m);
	}
	.swiper-text {
		left: 0;
		margin-inline: auto;
		max-width: var(--wp--custom--container--lv-2);
		mix-blend-mode: screen;
		position: absolute;
		right: 0;
		top: 50%;
		transform: translateY(-50%);
		width: 100%;
		z-index: 1;
		@media (768px > width) {
			width: calc(100% - var(--wp--custom--container--gutter));
		}
		.text {
			max-width: var(--wp--custom--container--lv-2);
			text-align: right;
			@media (768px > width) {
				width: 100%;
			}
			.name {
				color: var(--wp--preset--color--white);
				font-size: var(--wp--preset--font-size--large);
				@media (768px > width) {
					font-size: var(--wp--preset--font-size--x-small);
				}
			}
			.copy {
				text-box-trim: trim-both;
				text-box-edge: cap alphabetic;
				line-height: 1;
				color: var(--wp--preset--color--white);
				display: inline-block;
				font-family: var(--wp--preset--font-family--futura);
				font-size: var(--wp--preset--font-size--display-hero);
				font-weight: 500;
				letter-spacing: var(--wp--preset--spacing--20);
				@media (768px > width) {
					font-size: var(--wp--preset--font-size--display-m);
				}
				span {
					color: var(--wp--preset--color--accent-yellow);
					mix-blend-mode: overlay;
				}
			}
			.img-link {
				margin-block-start: var(--wp--preset--spacing--50);
				a {
					background-color: var(--wp--preset--color--secondary);
					border: 1px solid var(--wp--preset--color--white);
					color: var(--wp--preset--color--white);
					display: inline-block;
					font-size: var(--wp--preset--font-size--medium);
					padding: var(--wp--preset--spacing--40) var(--wp--preset--spacing--60);
					text-decoration: none;
					transition: var(--wp--custom--transition--default);
					&:hover {
						opacity: .7;
					}
				}
			}
		}
	}
	.swiper-slide {
		background-color: var(--wp--preset--color--black);
		@media (768px > width) {
			border-left: 5px solid var(--wp--preset--color--dark-01);
			border-right: 5px solid var(--wp--preset--color--dark-01);
			height: auto;
		}
		img {
			display: block;
			height: 100%;
			object-fit: cover;
			opacity: .3;
			width: 100%;
			@media (768px > width) {
				height: 700px;
				object-fit: cover;
			}
		}
	}
	.swiper-slide-active .slide-img,
	&.swiper-visual .swiper-slide-duplicate-active .slide-img,
	&.swiper-visual .swiper-slide-prev .slide-img {
		animation: zoomUp 12s linear 0s 1 normal both;
	}
}
